Researcher Keplon:
It's a device that allows for teleportation to different levels within the tower. I don't know exactly how it works, but after much trial and error, I found out that you can go to many different parts of the tower. So, in order to go to the Middle Level, you need a Blue Dimensional Stone.
Where to find a Dimensional Stone? Ah...that... my collegues and I found a chest with a Dimensional Stone, but... A demon servant of Hallant came and attacked, so we gave them all away... If you need a Dimensional Stone, you should loot them from the demons lurking around the tower...
"Who is Hallant?"
Return